<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <!-- Initialize Bootstrap 4 -->
    <link rel="stylesheet" href="https://cdn.staticfile.org/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://cdn.staticfile.org/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://cdn.staticfile.org/popper.js/1.15.0/umd/popper.min.js"></script>
    <script src="https://cdn.staticfile.org/twitter-bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <link rel="stylesheet" type="text/css" href="css/global.css">
    <script src="getTokenFromCookie.js"></script>
    <script src="parseJwt.js"></script>
    <title>Fichiers</title>
</head>

<body>
	<ul class="nav justify-content-end">
		<li class="nav-item">
			<button type="button" id="bouton-logout" class="btn btn-light" style="border: 0.5px solid lightgray;">Log out</button>
			<button type="button" id="bouton-profile" class="btn btn-light" style="border: 0.5px solid lightgray;">Profil</button>
			<button type="button" id="bouton-cours" class="btn btn-light" style="border: 0.5px solid lightgray;">Liste Cours</button>
			<button type="button" id="bouton-pers" class="btn btn-light" style="border: 0.5px solid lightgray;">Liste Personnes</button>
		</li>
	</ul>
	
    <div class="header">
        <h1>Accueil</h1>
    </div>


    <div class="list-group" id="accordion" role="tablist" aria-multiselectable="false">
    </div>

    <script>
        $(document).ready(function () {
			$('#bouton-pers').hide();
			
			
			$('#bouton-logout').on('click', function () {
				document.cookie = "token=;expires=Thu, 01 Jan 1970 00:00:01 GMT";
				window.location.href= "login.html";
			});
			
			$('#bouton-profile').on('click', function () {
				window.location.href= "profile.html";
			});
			
			$('#bouton-cours').on('click', function () {
				window.location.href= "liste_cours.html";
			});
			$('#bouton-pers').on('click', function () {
				window.location.href= "liste_personne.html";
			});
			
		
            let token = parseJwt(getTokenFromCookie());
            let role = token.roles;

            if (role.includes("admin")) {
				$('#bouton-pers').css("display","block");
                $.ajax({
                    type: "GET",
                    async: true,
                    headers: { "Authorization": "Bearer " + getTokenFromCookie() },
                    url: "/api/course",
                    success: (data) => {
                        var jsonData = JSON.parse(data);
                        console.log(jsonData)
                        console.log(jsonData.result)
                        $.each(jsonData.result, function () {
                            console.log(this)
                            var thedata = $("#accordion");
                            let name;
                            if (this.coursename != null)
                                name = this.coursename;
                            else
                                name = this.courseid;
                            var trData = "<a class='list-group-item' role='button' data-toggle='collapse' data-parent='#accordion' href='#collapse" + this.courseid + "'aria-expanded='true' aria-controls='collapseOne'>"
                                + this.year + "IF - " + name + "</a><div id='collapse" + this.courseid + "'class='panel-collapse collapse in' role='tabpanel' aria-labelledby='headingOne'><ul class='list-group'>";
                            console.log(this.files)
                            $.each(this.files, function () {
                                trData += "<li class='list-group-item'><a href='pdf_edit.html?filename=" + this.filename + "&courseid=" + this.courseid + "'>" + this.filename + "</a></li>";
                            })
                            trData += "</ul></div>"
                            console.log(thedata)
                            console.log(trData)
                            thedata.append(trData);
                        })
                    },
                    error: (err) => {
                        this.loginLoading = false;
                        console.log("Error message1：" + JSON.stringify(err))
                        alert("Error message1：" + JSON.stringify(err))
                    }
                })

            }
            else if (role.includes("students")) {
                $.ajax({
                    type: "GET",
                    async: true,
                    headers: { "Authorization": "Bearer " + getTokenFromCookie() },
                    url: "/api/course?year=" + token.year,
                    success: (data) => {
                        var jsonData = JSON.parse(data);
                        console.log(jsonData)
                        console.log(jsonData.result)
                        $.each(jsonData.result, function () {
                            var thedata = $("#accordion");
                            let name;
                            if (this.coursename != null)
                                name = this.coursename;
                            else
                                name = this.courseid;
                            var trData = "<a class='list-group-item' role='button' data-toggle='collapse' data-parent='#accordion' href='#collapse" + this.courseid + "'aria-expanded='true' aria-controls='collapseOne'>"
                                + this.year + "IF - " + name + "</a><div id='collapse" + this.courseid + "'class='panel-collapse collapse in' role='tabpanel' aria-labelledby='headingOne'><ul class='list-group'>";
                            console.log(this.files)
                            $.each(this.files, function () {
                                trData += "<li class='list-group-item'><a href='pdf_edit.html?filename=" + this.filename + "&courseid=" + this.courseid + "'>" + this.filename + "</a></li>";
                            })
                            trData += "</ul></div>"
                            console.log(thedata)
                            console.log(trData)
                            thedata.append(trData);
                        })
                    },
                    error: (err) => {
                        this.loginLoading = false;
                        console.log("Error message1：" + JSON.stringify(err))
                        alert("Error message1：" + JSON.stringify(err))
                    }
                })
            }
            else{
				$('#bouton-pers').css("display","block");
                $.ajax({
                    type: "GET",
                    async: true,
                    headers: { "Authorization": "Bearer " + getTokenFromCookie() },
                    url: "/api/course?professors="+token.username,
                    success: (data) => {
                        var jsonData = JSON.parse(data);
                        console.log(jsonData)
                        console.log(jsonData.result)
                        $.each(jsonData.result, function () {
                            console.log(this)
                            var thedata = $("#accordion");
                            let name;
                            if (this.coursename != null)
                                name = this.coursename;
                            else
                                name = this.courseid;
                            var trData = "<a class='list-group-item' role='button' data-toggle='collapse' data-parent='#accordion' href='#collapse" + this.courseid + "'aria-expanded='true' aria-controls='collapseOne'>"
                                + this.year + "IF - " + name + "</a><div id='collapse" + this.courseid + "'class='panel-collapse collapse in' role='tabpanel' aria-labelledby='headingOne'><ul class='list-group'>";
                            console.log(this.files)
                            $.each(this.files, function () {
                                trData += "<li class='list-group-item'><a href='pdf_edit.html?filename=" + this.filename + "&courseid=" + this.courseid + "'>" + this.filename + "</a></li>";
                            })
                            trData += "</ul></div>"
                            console.log(thedata)
                            console.log(trData)
                            thedata.append(trData);
                        })
                    },
                    error: (err) => {
                        this.loginLoading = false;
                        console.log("Error message1：" + JSON.stringify(err))
                        alert("Error message1：" + JSON.stringify(err))
                    }
                })

            }
        })
    </script>
</body>

</html>